#
# spec file for package smplayer-skins
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2006-2012 Ricardo Villalba aka rvm (GPLv2)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           smplayer-skins
Version:        20.11.0
Release:        pm152.1.2
Summary:        Skins for SMPlayer
License:        GPL-2.0-or-later
URL:            https://smplayer.info/
Source:         https://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  libqt5-qtbase-common-devel
Requires:       smplayer >= 14.9.0
BuildArch:      noarch

%description
SMPlayer is a front-end for MPV/MPlayer, from basic features like
playing videos, DVDs, and VCDs to more advanced features like support
for MPV filters and more.

SMPlayer remembers the settings of all files you play. Opening a
movie again will resume at the same point it was left, and with the
same chosen audio track, subtitles and volume level.

This package provides skin themes for SMPlayer.

%prep
%setup -q

%build
# Make rcc available.
export PATH="%{_libdir}/qt5/bin${PATH:+:$PATH}"

%make_build

%install
%make_install \
  PREFIX=%{_prefix}
%fdupes -s %{buildroot}%{_datadir}/smplayer/

%files
%license COPYING*
%doc Changelog README.txt
%dir %{_datadir}/smplayer/
%dir %{_datadir}/smplayer/themes/
%{_datadir}/smplayer/themes/*/

%changelog
* Mon Jan 11 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 20.11.0:
  * Add a Mint-Y theme.
* Mon Sep  7 2020 Alexei Sorokin <sor.alexei@meowr.ru>
- Require smplayer instead of smplayer-core.
- Use Qt5 rcc instead of Qt4.
- Spec clean-up.
* Sat Mar 14 2015 dap.darkness@gmail.com
- Update to 15.2.0
  * Replace some background images with gradients.
* Sun Sep  7 2014 dap.darkness@gmail.com
- Update to 14.9.0
  * no upstream changelog.
* Sun Sep  1 2013 dap.darkness@gmail.com
- Update to 20130605:
  * no upstream changelog.
- Service source_validator was removed because of
  https://bugs.links2linux.org/browse/PM-83
* Sun Dec 23 2012 dap.darkness@gmail.com
- Initial package: skins for smplayer >= 0.8.2.
